
Infrastructure - Task #636

Deploy the monitoring system central monitoring service

2010-05-28 20:16 - Dave Vieglais

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone: None Story Points:  

Product Version: *   

Description

Deploy the monitoring system central monitoring service.  This involves setting up a VM, deploying the necessary software for the

monitoring service, and performing the initial configuration.

caveats: will need to poke in the correct IP address for the ORN physical server, once known.

History

#1 - 2010-06-02 15:35 - Rob Nahf

packages downloaded locally, ready to deploy to monitor.dataone.org server.  Many install requirements for the three monitoring tools, so I upped the

total work estimate to 8 hours.  Nagios also warns of involved configuration work, so maybe more is needed.  We'll see after I get the packages

deployed.

#2 - 2010-06-02 22:05 - Rob Nahf

Nagios, Munin, and cacti deployed to monitor.dataone.org.  Nagios web page available at http://monitor.dataone.org/nagios3/  (requires

username/password). Need to test Munin and cacti.

#3 - 2010-06-03 15:03 - Rob Nahf

Cacti and munin web sites at: http://monitor.dataone.org/cacti/    and ../munin, respectively.  Password for cacti required.  Still need to configure

graphs for both, add developers to the notification group for nagios, and add CN machines to the monitoring facility.

#4 - 2010-06-04 06:34 - Rob Nahf

updated config files for Nagios, and successfully routed notifications to my email address, and added cn-dev to the host list, but getting a packet

filtered error.  Probably because I need to install a plug-in on cn-dev.  Took way too long, but I think I ironed out how all the config files work together.

#5 - 2010-06-07 16:06 - Rob Nahf

have set up configuration files for the set of machines in the diagram.  Need to consolidate nrpe deployment configuration, and test.

#6 - 2010-06-09 05:14 - Rob Nahf

completed set up of Nagios on the monitoring server, including the configurations to use nrpe for remote health checks on the CNs.

#7 - 2010-06-14 15:42 - Rob Nahf

- Status changed from Closed to 4

#8 - 2010-06-14 15:44 - Rob Nahf

worked out Cacti configurations, and tested ssh communication on cn_dev using my account.

Need to switch to dedicated account, and set up remaining hosts. 
#9 - 2010-06-16 22:06 - Rob Nahf

- Status changed from 4 to Closed

created, tested, and deployed 2 plugins for monitoring disk space (% used), and network IO (packets transmitted/received).  Remaining work is to add

the remaining CN hosts.
